#
# spec file for package gdouros-symbola-fonts
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define _buildshell /bin/bash
%define fontname  symbola-fonts

Name:           gdouros-symbola-fonts
Version:        10.23
Release:        2.7
Summary:        Font with Support for Symbol Blocks of the Unicode Standard
License:        SUSE-Permissive
Group:          System/X11/Fonts
URL:            http://users.teilar.gr/~g1951d/
# Download URL
# http://users.teilar.gr/~g1951d/Symbola.zip
Source:         Symbola-%{version}.zip
# Download URL
# http://users.teilar.gr/~g1951d/Bibliography.pdf
Source1:        Bibliography-20170615.pdf
Source2:        README-SUSE
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Obsoletes:      %{fontname} < 6.05
Provides:       %{fontname} = %{version}
BuildArch:      noarch

%description
Symbola covers the following scripts and symbols supported by Unicode: Basic Latin, IPA Extensions, Spacing Modifier Letters, Combining Diacritical Marks, Greek and Coptic, Cyrillic, Cyrillic Supplement, General Punctuation, Superscripts and Subscripts, Currency Symbols, Combining Diacritical Marks for Symbols, Letterlike Symbols, Number Forms, Arrows, Mathematical Operators, Miscellaneous Technical, Control Pictures, Optical Character Recognition, Box Drawing, Block Elements, Geometric Shapes, Miscellaneous Symbols, Dingbats, Miscellaneous Mathematical Symbols-A, Supplemental Arrows-A, Supplemental Arrows-B, Miscellaneous Mathematical Symbols-B, Supplemental Mathematical Operators, Miscellaneous Symbols and Arrows, Supplemental Punctuation, Yijing Hexagram Symbols, Combining Half Marks, Specials, Byzantine Musical Symbols, Musical Symbols, Ancient Greek Musical Notation, Tai Xuan Jing Symbols, Counting Rod Numerals, Mathematical Alphanumeric Symbols, Mahjong Tiles, Domino Tiles, Playing Cards, Miscellaneous Symbols And Pictographs, Emoticons, Transport And Map Symbols, Alchemical Symbols, et al.

%prep
%autosetup -c

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}/
# install docs
cp %{SOURCE1} %{SOURCE2} \
   -t .
for i in *-*.pdf; do
        IFS=-. read -r a b c <<< "$i"; mv "$i" "$a.$c"
done

%reconfigure_fonts_scriptlets

%files
%doc README-SUSE Bibliography.pdf Symbola.pdf
%{_ttfontsdir}

%changelog
* Tue Feb  2 2021 Jan Engelhardt <jengelh@inai.de>
- Set /bin/bash as buildshell for "<<<".
* Fri Jan  5 2018 aloisio@gmx.com
- Update to version 10.23
* Fri Nov  3 2017 aloisio@gmx.com
- Update to version 10.03
* Tue Aug  1 2017 aloisio@gmx.com
- Update to version 9.17
- Updated Bibliography pdf.
* Sun Dec  4 2016 aloisio@gmx.com
- Update to version 9.00
- Replaced tarball with original archive renamed to
  include the version
  (symbola-fonts-8.00.tar.bz2 with
  Symbola-9.00.zip)
- Added Bibliography-20161016.pdf (renamed to
  include the last modified date)
- Re-added README-SUSE as separate license file
* Sun Jan 17 2016 aloisio@gmx.com
- Refreshed archive
  * updated pdf documentation
  * updated README-SUSE
* Sun Jun 21 2015 aloisio@gmx.com
- updated to 8.00
  * added hinted variant
- replaced README with a note from the website and added
  official pdf description
* Tue Jan 21 2014 pgajdos@suse.com
- updated to 7.12
  * no upstream changelog
  * leaving README from 6.05 version, pdf updated
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed Apr 18 2012 pgajdos@suse.com
- SUSE-Permissive license
* Wed Dec 21 2011 toms@suse.de
- Updated to version 6.13
* Wed Dec 21 2011 toms@suse.de
- Renamed symbola-fonts -> gdouros-symbola-fonts according to
  openSUSE packaging guidelines and FATE#313035
  Adjusted Obsoletes and Provides accordingly
* Fri Jul  1 2011 bachinchi@gmail.com
- Initial package for Symbola Font
